Function
floydWarshallAlgorithm
Finds shortest paths between all pairs of vertices in a graph.
floydWarshallAlgorithm(g, weight, distance, predecessor)
Include Headers
seqan/graph_algorithms.h
Parameters

g | In-parameter:A directed graph. Types: Directed Graph
weight | In-parameter:A weight map. Remarks: A property map with edge weights. Edge weights may be negative.
distance | Out-parameter:A matrix with distances. Types: Matrix Remarks: Entry (i,j) in this matrix indicates the distance from vertex i to vertex j.
predecessor | Out-parameter:A matrix with predecessors. Types: Matrix Remarks: Entry (i,j) in this matrix indicates the predecessor of j on a shortest path from vertex i to vertex j. You can use _printAllPairsShortestPath(g, predecessor, i, j) to print the shortest path from i to j.

Remarks
The graph must be free of negative-weight cycles.
Return Values
void
Example Programs
Floyd-Warshall Algorithm
See Also
allPairsShortestPath
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47